"use strict";

import { useEffect, useState } from 'react';
export const useVisibilityChange = (onShow, onHide, visible, dismissReason) => {
  const [mounted, setMounted] = useState(false);
  useEffect(() => {
    if (!mounted && visible) {
      setMounted(true);
      onShow();
    }
    if (mounted && !visible) {
      setMounted(false);
      onHide(dismissReason);
    }
  }, [visible, mounted, dismissReason, onShow, onHide]);
  return undefined;
};
//# sourceMappingURL=useVisibilityChange.js.map